#
# Adding SAM units to SAM sites!
#

# routine to pick an element at random from a list
proc pickrandom { somelist } {
	set len [llength $somelist]
	set index [expr int([expr rand() * $len])]
	#printout "choosing number $index from list of len $len ($somelist)"
	return [lindex $somelist $index]
}


set olist [lsort -real [objective list [list 887 1690 1694 1695 1696 1697 1697]]]
foreach sa2 $olist {

		#			
		# if we have east equipment using airbase
		#			
		if {[objective get $sa2 control] == 4 || [objective get $sa2 control] == 5 || [objective get $sa2 control] == 6} {
		set sammy [pickrandom {799 2507 2508 731 2181 76 2182 732 800 733 2251 75}]
		set newid [unit create $sammy]
		unit batallion set $newid bflags 2 control [objective get $sa2 control] x [objective get $sa2 x] y [objective get $sa2 y]
		unit batallion set $newid campid [unit get $newid id] unitflags 40 aobj [objective get $sa2 id] orders 9
		unit batallion set $newid destx [expr [objective get $sa2 x] +1] desty [expr [objective get $sa2 y] +1]
		printout "Adding batallion type $sammy (id $newid) to $sa2"
		}

		#			
		# if we have west equipment using airbase
		#			
		if {[objective get $sa2 control] == 1 || [objective get $sa2 control] == 2 || [objective get $sa2 control] == 3} {
		set sammy [pickrandom {728 572 565 74 2180}]
		set newid [unit create $sammy]
		unit batallion set $newid bflags 2 control [objective get $sa2 control] x [objective get $sa2 x] y [objective get $sa2 y]
		unit batallion set $newid campid [unit get $newid id] unitflags 40 aobj [objective get $sa2 id] orders 9
		unit batallion set $newid destx [expr [objective get $sa2 x] +1] desty [expr [objective get $sa2 y] +1]
		printout "Adding batallion type $sammy (id $newid) to $sa2"
		}
}

#
# types for SAM batallions
#
# west?
# 828  - Hawk ADS
# 672  - Hawk ADS
# 665  - Nike ADS
# 174  - Patriot ADS
# 2280 - Skyguard
#
# east?
# 899  - SA-10
# 2607 - SA-11
# 2608 - SA-17
# 831  - SA-2
# 2281 - SA-2
# 176  - SA-2
# 2282 - SA-3
# 832  - SA-3
# 900  - SA-4
# 833  - SA-5
# 2351 - SA-6
# 175  - SA-6
